CREATE TABLE hrc_dl_integration_uk_data (
    USER_KEY_DATA_ID         NUMBER(18, 0) ,
    SURROGATE_ID             NUMBER(18, 0)     NOT NULL,
    OBJECT_NAME              VARCHAR2(1024)    NOT NULL,
    USER_KEY_NAME            VARCHAR2(1024)    NOT NULL,
    USER_KEY_VALUE           VARCHAR2(2000),
    USER_KEY_VALUE_SECURE    VARCHAR2(2000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    USER_KEY_DATA_ID         NUMBER(18, 0) ,
    SURROGATE_ID             NUMBER(18, 0)     NOT NULL,
    OBJECT_NAME              VARCHAR2(1024)    NOT NULL,
    USER_KEY_NAME            VARCHAR2(1024)    NOT NULL,
    USER_KEY_VALUE           VARCHAR2(2000),
    USER_KEY_VALUE_SECURE    VARCHAR2(2000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_hrc_dl_integration_uk_data PRIMARY KEY (USER_KEY_DATA_ID, USER_KEY_DATA_ID)
);
